Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Interface NamingContextExtOperations

All Superinterfaces:
  NamingContextOperations

All Known Subinterfaces:
  NamingContextExt

All Known Implementing Classes:
  NamingContextExtPOA

public interface NamingContextExtOperations
extends NamingContextOperations

This interface has been introduced for the Interoperable Name Service. This interface extends NamingContext and provides several new methods to manage CORBA URL.

Method Summary
`Object` | `resolve_str(java.lang.String n)` This is a convenience operation that performs a resolve in the same manner as NamingContext::resolve.
`NameComponent[]` | `to_name(java.lang.String sn)` This operation accepts a stringified name and returns a Name.
`java.lang.String` | `to_string(NameComponent[] n)` This operation accepts Name and returns a stringified name.
`java.lang.String` | `to_url(java.lang.String addr, java.lang.String sn)` This operation takes an URL address and performs any escapes necessary on the stringified name and returns a fully formed URL string.

Methods inherited from interface org.omg.CosNaming.NamingContextOperations
`bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

Method Detail

### to_string

    public java.lang.String to_string(NameComponent[] n)
                               throws InvalidName

  This operation accepts Name and returns a stringified name.
  Parameters:
    `n` - the name to stringified.
  Throws:
    `InvalidName` - This exception is raised if the name is invalid.

### to_name

    public NameComponent[] to_name(java.lang.String sn)
                            throws InvalidName

  This operation accepts a stringified name and returns a Name.
  Parameters:
    `sn` - the stringified name to transform to a name.
  Throws:
    `InvalideName` - This exception is raised if the stringified name is syntactically malformed or violates an implementation limit.

### to_url

    public java.lang.String to_url(java.lang.String addr,
                                   java.lang.String sn)
                            throws InvalidAddress,
                                   InvalidName

  This operation takes an URL address and performs any escapes necessary on the stringified name and returns a fully formed URL string.
  Parameters:
    `addr` - the address ( for example myhost.xyz.com )
    `sn` - the stringified name to add to the URL
  Returns:
    the URL string format.
  Throws:
    `InvalidAddress` - This exception is raises if a address is invalid ( it means that the address does not respect the address format ).
    `InvalidName` - This exception is raised if the stringified name is syntactically malformed or violates an implementation limit.

### resolve_str

    public Object resolve_str(java.lang.String n)
                       throws NotFound,
                              CannotProceed,
                              InvalidName

  This is a convenience operation that performs a resolve in the same manner as NamingContext::resolve. It accepts a stringified name as an argument instead of a Name.
  Parameters:
    `n` - the stringified name of the object (or naming context) to resolve
  Returns:
    the resolved object.
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD